PDA

View Full Version : Quicksilver G4 & OS 9.1 Questions



billbo
10-30-2001, 03:43 PM
I'm trying to help out a guy with a OS 9.2.1 & PT's LE problem.

Since the folk over at Digidesign haven't released any new software for the latest batch of G4's (Quicksilver's) & driver's for OS 9.2.1, I suggested installing OS 9.1

The problem seems to be a issue with PT's and QT 5.0.2 and he's gotten his setup to work, however his reply to my suggestion of "down-grading to OS 9.1" was this:
<BLOCKQUOTE class="ip-ubbcode-quote"><font size="-1">quote:</font><HR>The first thing i tried was to install the MacOs 9.1 but in the new G4's that's not possible. The installer doesn¬Ąt let you down grade.<HR></BLOCKQUOTE>

I know I'm not as up to speed on the New World Macs as any of you Guru's are, but that sounds quite odd to me (maybe a issue about firmware maybe????).

Can anyone offer an explanation why a Quicksilver___ won't let you install OS 9.1?



------------------
Bill

"I made a conscience decision in a semi-conscious state"

chatwood2
10-30-2001, 04:22 PM
Apple does this with their machines. The engineer them so that will not run an OS older than the machines introduction. Therefore Quicksilver's won't run 9.1, 8.6, or 7.6.1. 9.2.1 and 9.1 are so similar than Apples reasoning becomes less convincing, but you can understand why they would not allow a Quicksilver to run 7.6.1. If they did there would be tons of compatibility problems. Apple did not build 7.6.1 for Quicksilver architecture. The same applies to 9.1, Apple did not build 9.1 for Quicksilver architecture. It is impossible to build a OS for future machines.

Basically QuickSilver's will run 9.2.1 and up and 10.0.4 and up. They will not boot off 9.1 CDs and the BIOS check will prevent an installation.

- Chris

lasvegas
10-30-2001, 05:11 PM
It's not so much that the machines are engineered NOT to work, but simply a matter of the older OS being unable to recognize a machine that didn't exist when that OS was created.

Each Macintosh model had a unique machine ID so that the OS can easily configure itself to that machine. Since the QuickSilver didn't exist when OS 9.1 was released, one really can't expect 9.1 to recognize the machine ID of it.

billbo
10-31-2001, 05:05 PM
Thanks chatwood2 and vegas. Definetly clears it up for me.

------------------
Bill

"I made a conscience decision in a semi-conscious state"